Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class AddEntryImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.AddEntryImpl

All Implemented Interfaces:
  AddEntry

    public class AddEntryImpl

extends java.lang.Object
implements AddEntry

This class is used to add a new entry to the directory

Version:
  $Revision: 1.9 $
Author:

Constructor Summary
`AddEntryImpl(LDAPClientApplicationImpl app)` Creates a new instance of AddEntry

Method Summary
`AddEntryOptions` | `getAddEntryOptions()` Method to retrieve the options for the add stcEntry
`STCEntry` | `getSTCEntry()` Method to retrieve the stcEntry which is to be added
`boolean` | `performAddEntry()` Method that performs the addition of the new stcEntry in the directory
`void` | `reset()` Method to reset the values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddEntryImpl

    public AddEntryImpl(LDAPClientApplicationImpl app)

  Creates a new instance of AddEntry

  Parameters:
    `app` - The LDAP client application associated with this AddEntry instance.

Method Detail

### getAddEntryOptions

    public AddEntryOptions getAddEntryOptions()
                                       throws LDAPApplicationException

  Method to retrieve the options for the add stcEntry

  Specified by:
    `getAddEntryOptions` in interface `AddEntry`
  Returns:
    the AddEntryOptions object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### getSTCEntry

    public STCEntry getSTCEntry()
                         throws LDAPApplicationException

  Method to retrieve the stcEntry which is to be added

  Specified by:
    `getSTCEntry` in interface `AddEntry`
  Returns:
    the STCEntry object associated with this instance
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### performAddEntry

    public boolean performAddEntry()
                            throws LDAPApplicationException

  Method that performs the addition of the new stcEntry in the directory

  Specified by:
    `performAddEntry` in interface `AddEntry`
  Returns:
    true if the stcEntry was added successfully
  Throws:
    `LDAPApplicationException` - if there is no connection is available to the LDAP server.

### reset

    public void reset()

  Method to reset the values

  Specified by:
    `reset` in interface `AddEntry`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD